Bug 506071 - None warning given to users when they input a wrong URI
None warning given to users when they input a wrong URI
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: thunderbird (Show other bugs)
5.3
i386 Linux
low Severity low
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 09:27 EDT by Mark Xie
Modified: 2009-07-02 12:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 10:50:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 498836 None None None Never

  None (edit)
Description Mark Xie 2009-06-15 09:27:05 EDT
Description of problem:
Some times the user input the wrong Link address, but they will not recognize that, and believe it's a fault of the Thunderbird, it's better to give them an reminding message.

Version-Release number of selected component (if applicable):
RHEL5 Client - thunderbird-2.0.0.22-2.el5_3 - i386 (en_US)

How reproducible:
Allways


Issue 1  Compose Window--Insert Link

Steps to Reproduce:
1. 'Ctrl + N' to open a new compose window
2.  Type in some characters in the content field,
3.  Chose some characters and add Link ("Insert > Link"),
  
Actual results:
The wrong URI will be accepted and none warning or reminding message it given.

Expected results:
Thunderbird expecting the user specify the whole path of the URI, the protocol could not be omit. If the user input a wrong URI, it will be better if a reminding popup dialogue occur or there's some drop down list, the users can choose the Protocol from it.

Additional info:
It's the standard usage, but it will hard to understand for the junior users. If there is some words appears when the user have not specify the protocol such as http:// , ftp://, etc, it will more easier to understanding their mistake, else, some users believe it's a bug of the Thunderbird.

====================
Issue 2  preferences - Set Thunderbird start page

Steps to Reproduce:
1.  Open Preferences window (by 'Edit > Preferences')
2.  Click General Tab
3.  Check the "When Thunderbird launches, show the Start Page in the messsage area", and try to input "www.google.com".
  
Actual results:
The wrong URI will be accepted and none warning or reminding message it given.

Expected results:
Thunderbird expecting the user specify the whole path of the URI, the protocol could not be omit. If the user input a wrong URI, it will be better if a reminding popup dialogue occur or there's some drop down list, the users can choose the Protocol from it.

Additional info:
It's the standard usage, but it will hard to understand for the junior users. If there is some words appears when the user have not specify the protocol such as http:// , ftp://, etc, it will more easier to understanding their mistake, else, some users believe it's a bug of the Thunderbird.
Comment 1 Matěj Cepl 2009-06-16 12:56:55 EDT
This is certainly very fine idea, and I like it, but this should most certainly be pushed upstream. Please file a bug report in the the upstream bugzilla located at http://bugzilla.mozilla.org in the particular component.

Once you've filed your bug report to the upstream bugzilla, if you paste the new bug URL here, we will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 2 Mark Xie 2009-07-02 10:50:53 EDT
upstream bug : https://bugzilla.mozilla.org/show_bug.cgi?id=498836
Comment 3 Matěj Cepl 2009-07-02 12:11:37 EDT
Thank you

Note You need to log in before you can comment on or make changes to this bug.